Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IPerspectiveListener

All Known Subinterfaces:
  IPerspectiveListener2

public interface IPerspectiveListener

Interface for listening to a perspective lifecycle events.

This interface may be implemented by clients.

See Also:
  `IPageService.addPerspectiveListener(org.eclipse.ui.IPerspectiveListener)`

Method Summary
`void` | `perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)` Notifies this listener that the given page's perspective has been activated.
`void` | `perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)` Notifies this listener that the given page's perspective has changed in some way (for example, editor area hidden, perspective reset, view show/hide, editor open/close, etc).

Method Detail

### perspectiveActivated

    public void perspectiveActivated(IWorkbenchPage page,
                                     IPerspectiveDescriptor perspective)

  Notifies this listener that the given page's perspective has been activated.

  Parameters:
    `page` - the page whose perspective was activated
    `perspective` - the perspective descriptor that was activated
  See Also:
    `IWorkbenchPage.setPerspective(org.eclipse.ui.IPerspectiveDescriptor)`

### perspectiveChanged

    public void perspectiveChanged(IWorkbenchPage page,
                                   IPerspectiveDescriptor perspective,
                                   String changeId)

  Notifies this listener that the given page's perspective has changed in some way (for example, editor area hidden, perspective reset, view show/hide, editor open/close, etc).

  Parameters:
    `page` - the page whose perspective was reset
    `perspective` - the perspective descriptor
    `changeId` - one of the `CHANGE_*` constants on IWorkbenchPage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.